/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.enums.EnumAccesslevel;
import de.ship.db.tables.VPrivilege;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VPrivilegeRecord extends TableRecordImpl<VPrivilegeRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_privilege.fk_privilege</code>.
     */
    public void setFkPrivilege(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_privilege.fk_privilege</code>.
     */
    public Integer getFkPrivilege() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>common_dd.v_privilege.fk_usnr</code>.
     */
    public void setFkUsnr(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_privilege.fk_usnr</code>.
     */
    public Integer getFkUsnr() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.v_privilege.acl</code>.
     */
    public void setAcl(EnumAccesslevel value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.v_privilege.acl</code>.
     */
    public EnumAccesslevel getAcl() {
        return (EnumAccesslevel) get(2);
    }

    /**
     * Setter for <code>common_dd.v_privilege.read</code>.
     */
    public void setRead(Boolean value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.v_privilege.read</code>.
     */
    public Boolean getRead() {
        return (Boolean) get(3);
    }

    /**
     * Setter for <code>common_dd.v_privilege.write</code>.
     */
    public void setWrite(Boolean value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.v_privilege.write</code>.
     */
    public Boolean getWrite() {
        return (Boolean) get(4);
    }

    /**
     * Setter for <code>common_dd.v_privilege.execute</code>.
     */
    public void setExecute(Boolean value) {
        set(5, value);
    }

    /**
     * Getter for <code>common_dd.v_privilege.execute</code>.
     */
    public Boolean getExecute() {
        return (Boolean) get(5);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VPrivilegeRecord
     */
    public VPrivilegeRecord() {
        super(VPrivilege.V_PRIVILEGE);
    }

    /**
     * Create a detached, initialised VPrivilegeRecord
     */
    public VPrivilegeRecord(Integer fkPrivilege, Integer fkUsnr, EnumAccesslevel acl, Boolean read, Boolean write, Boolean execute) {
        super(VPrivilege.V_PRIVILEGE);

        setFkPrivilege(fkPrivilege);
        setFkUsnr(fkUsnr);
        setAcl(acl);
        setRead(read);
        setWrite(write);
        setExecute(execute);
        resetChangedOnNotNull();
    }
}
